Subject: Re: [PATCH v2] config: introduce an Operating System-specific `includeIf` condition

From: Felipe Contreras <[email-masked]>
Date: Mon, 17 Apr 2023 20:04:01 -0600

Junio C Hamano wrote:
> Samuel Ferencik <[email-masked]> writes:
> 
> >>>> Let's introduce a new condition: `os:<uname-s>` where `<uname-s>` is the
> >>>> system name, i.e. the output of `uname -s`.
> >
> > The discussion about https://github.com/gitgitgadget/git/pull/1429 seems to
> > have stalled on several points. I'll try to summarise; let's see if we can move
> > forward.
> >
> > (I am the reporter of https://github.com/git-for-windows/git/issues/4125, which
> > led to this PR. I am vested in making progress here.)
> >
> > 1. name of the setting (`os` vs `uname-s` vs `sysname`)
> 
> I do not think it is a good idea to squat on too generic a name like
> 'os', especially when there are multiple layers people will care
> about.  But I think the original thread discussed this to death, and
> I do not see a point bringing it up again as the first bullet point.

"platform" is the term I've seen to be less OS-centric.

-- 
Felipe Contreras